/* Footer 1 */
#footer1 {
    background-color: var(--footer-bg);
    color: var(--footer-text);
}
#footer1 a {
    color: var(--footer-link-color);
}
#footer1 a:hover {
    color: var(--footer-link-color-hover);
}
#footer1 h3 {
    font-family: var(--primary-font);
    font-size: 1.5rem;
    font-weight: 600;
    margin-bottom: 10px;
}
#footer1 .footer-content {
    width: var(--container-width);
    margin: 0 auto;
}
#footer1 .links {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    padding: 0;
    margin: 0;
    list-style: none;
}
#footer1 .links ul {
    font-family: var(--alt-font);
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    padding: 0;
    margin: 0;
    list-style: none;
}
#footer1 .links ul li {
    font-size: 1.3rem;
}
#footer1 .contact-info {
    font-family: var(--alt-font);
    text-align: end;
}
#footer1 .contact-info p {
    margin: 0;
    font-size: 1.3rem;
    color: var(--footer-link-color);
}
#footer1 .logo img {
    width: 200px;
    max-width: 100%;
}
#footer1 .socials ul {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 10px;
    padding: 0;
    margin: 0;
    list-style: none;
}
#footer1 .socials a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    font-size: 0.8rem;
    background-color: rgba(var(--footer-link-color-rgb), 0.3);
    color: rgba(var(--footer-text-rgb), 0.7);
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
}
#footer1 .socials a:hover {
    background-color: rgba(var(--footer-link-color-rgb), 0.5);
}
#footer1 .accreditations ul {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 1rem;
    padding: 0;
    margin: 0;
    list-style: none;
}
#footer1 .accreditations img {
    width: 50px;
    max-width: 100%;
    height: 30px;
    object-fit: contain;
    object-position: center;
}
#footer1 .anglian-internet p {
    margin: 0;
    font-size: 1.1rem;
    color: var(--footer-link-color);
}
#footer1 .anglian-internet a {
    color: var(--footer-text);
}
#footer1 .anglian-internet a:hover {
    color: var(--footer-link-color);
}
#footer1 .footer-top {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-bottom: 100px;
}
#footer1 .footer-middle {
    display: flex;
    flex-wrap: wrap;
    justify-content: end;
    align-items: center;
    padding: 20px 0;
}
#footer1 .footer-bottom {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    margin-top: 25px;
    padding: 50px 0;
    border-top: 1px solid rgba(var(--footer-text-rgb), 0.1);
}

/* Footer 2 */
#footer2 {
    background-color: var(--footer-bg);
    color: var(--footer-text);
}
#footer2 a {
    color: var(--footer-link-color);
}
#footer2 a:hover {
    color: var(--footer-link-color-hover);
}
#footer2 .footer-content {
    width: var(--container-width-wide);
    margin: 0 auto;
}
#footer2 .footer-top {
    margin-bottom: 50px;
}
#footer2 .footer-top .logo {
    width: 300px;
    max-width: 100%;
}
#footer2 .footer-middle {
    display: flex;
    flex-wrap: wrap;
    column-gap: 50px;
    row-gap: 20px;
    margin-bottom: 20px;
}
#footer2 .footer-middle .links, 
#footer2 .footer-middle .location {
    width: 250px;
}
#footer2 .footer-middle .location {
    flex-grow: 1;
    text-align: end;
}
#footer2 .footer-middle .links ul {
    padding: 0;
    margin: 0;
    list-style: none;
}
#footer2 .footer-middle h3 {
    font-size: 1.2rem;
    font-weight: 600;
    margin-bottom: 10px;
}
#footer2 .footer-middle p {
    margin: 0;
}
#footer2 .footer-bottom {
    color: rgba(var(--footer-text-rgb), 0.5);
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    padding: 20px 0;
    border-top: 1px solid rgba(var(--footer-text-rgb), 0.1);
}
#footer2 .footer-bottom .left {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    column-gap: 30px;
    row-gap: 7px;
}
#footer2 .footer-bottom p {
    margin: 0;
}
#footer2 .footer-bottom .legal {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    column-gap: 15px;
    row-gap: 7px;
}
#footer2 .footer-bottom a {
    color: var(--footer-text);
    font-weight: 600;
}
#footer2 .footer-bottom a:hover {
    color: var(--footer-link-hover-color);
}


/* Footer 3 */
#footer3 {
    color: var(--footer-text);
}
#footer3 .footer-content {
    background-color: rgba(var(--footer-text-rgb), 1);
    gap: 1px;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
#footer3 .footer-content a {
    color: var(--footer-link-color);
}
#footer3 .footer-content a:hover {
    color: var(--footer-link-color-hover);
}
#footer3 .footer-content .footer-top {
    border-top: 1px solid rgba(var(--footer-text-rgb), 1);
    background-color: var(--page-bg-color-alt);
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: end;
    padding: 1rem var(--gutter-width);
}
#footer3 .footer-content .footer-top .logo {
    max-width: 3rem;
}
#footer3 .footer-content .footer-top .socials {
    font-size: 1.2rem;
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    gap: 1rem;
    font-size: 1.2rem;
}
#footer3 .footer-content .footer-middle {
    width: 100%;
    display: flex;
    gap: 1px;
    flex-wrap: wrap;
}
#footer3 .footer-content .footer-middle p {
    font-size: 0.9rem;
    font-weight: 600;
    margin-bottom: 0.8rem;
}
#footer3 .footer-content .footer-middle p.header {
    color: var(--primary-color);
    font-size: 1.8rem;
    font-weight: 400;
    margin-bottom: 0.2rem;
}
#footer3 .footer-content .footer-middle .contact-details {
    padding: 1rem 1rem 2.5rem var(--gutter-width);
    background-color: var(--footer-bg);
    flex-grow: 1;
    min-width: calc(50% - 1px);
}
#footer3 .footer-content .footer-middle .links-holder {
    padding: 1rem var(--gutter-width) 2.5rem 1rem;
    background-color: var(--footer-bg);
    flex-grow: 1;
    min-width: calc(50% - 1px);
}
#footer3 .footer-content .footer-middle .links-holder .page-link-container {
    display: flex;
    flex-wrap: wrap;
    column-gap: 8rem;
    row-gap: 1rem;
}
#footer3 .footer-content .footer-middle .links-holder .page-link-container .link-title {
    margin-bottom: 1.3rem;
}
#footer3 .footer-content .footer-middle .links-holder p.header {
    width: 100%;
}
#footer3 .footer-content .footer-middle .logo-container {
    width: 100%;
    padding: 2rem var(--gutter-width);
    text-align: center;
    background-color: var(--footer-bg);
}
#footer3 .footer-content .footer-middle .logo-container img {
    width: 100%;
    max-width: 20rem;
}
#footer3 .footer-content .footer-bottom {
    background-color: var(--primary-color);
    padding: 0.75rem var(--gutter-width);
    color: rgba(255, 255, 255, 0.8);
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: end;
    gap: 1rem;
}
#footer3 .footer-content .footer-bottom a {
    color: rgba(255, 255, 255, 0.6);
}
#footer3 .footer-content .footer-bottom a:hover {
    color: rgba(255, 255, 255, 1);
}
#footer3 .footer-content .footer-bottom p {
    position: relative;
    margin: 0;
    font-size: 0.8rem;
}
#footer3 .footer-content .footer-bottom .policies {
    display: flex;
    flex-wrap: wrap;
    gap: 0.4rem;
}
#footer3 .footer-content .footer-bottom .legal {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

/* Footer 4 */
#footer4 {
    background-color: var(--footer-bg);
    color: var(--footer-text);
    display: flex;
    align-items: end;
    justify-content: space-between;
    padding: 1rem var(--gutter-width);
    flex-wrap: wrap;
}
#footer4 a {
    color: var(--footer-link-color);
}
#footer4 a:hover {
    color: var(--footer-link-color-hover);
}
#footer4 .logo img {
    max-height: 3.5rem;
    width: 100%;
    object-fit: contain;
    object-position: left;
    margin-bottom: 2rem;
}
#footer4 .socials {
    list-style: none;
    display: flex;
    gap: 1rem;
    align-items: center;
    justify-content: center;
    padding: 0;
    margin: 0;
    font-size: 1.5rem;
}
#footer4 .socials {
    list-style: none;
    display: flex;
    gap: 1rem;
    align-items: center;
    justify-content: center;
    padding: 0;
    margin: 0;
    font-size: 1.5rem;
}
#footer4 .legal {
    width: 100%;
}
#footer4 .legal p {
    margin: 0;
    font-size: 0.8rem;
}